/*  dir.h



    Defines structures, macros, and functions for dealing with

    directories and pathnames.



    Copyright (c) 1987, 1991 by Borland International

    All Rights Reserved.

*/



struct  ffblk   {

    char        ff_reserved[21];

    char        ff_attrib;

    unsigned short   ff_ftime;

    unsigned short   ff_fdate;

    long        ff_fsize;

    char        ff_name[13];

};



#define WILDCARDS 0x01

#define EXTENSION 0x02

#define FILENAME  0x04

#define DIRECTORY 0x08

#define DRIVE     0x10



#define MAXPATH   80

#define MAXDRIVE  3

#define MAXDIR    66

#define MAXFILE   9

#define MAXEXT    5



