#define VLEN  23



int wrapn=1000;



void dispm0(FILE *f,int ofs,int x) {

 char ps[100], buf[1001],*p;

 int kde,n,i;

 fseek(f,ofs,SEEK_SET); kde=0;

 for (i=0; i<VLEN && !feof(f); i++) {

  n=fread(buf,1,wrapn,f); buf[n]=0;

  p=strchr(buf,13); if (p!=NULL) *p=0;

  p=strchr(buf,10); if (p!=NULL) *p=0;

  kde+=strlen(buf)+(strlen(buf)!=n?2:0);

  fseek(f,ofs+kde,SEEK_SET);

  if (x<strlen(buf)) p=buf+x; else p=" ";

  sprintf(ps,"%-80.80s",p);

  dirwr(0,i+1,ps,MYCOLOR);

 }

 for (;i<VLEN; i++) {

  sprintf(ps,"%-80.80s","");

  dirwr(0,i+1,ps,MYCOLOR);

 }

}



void dispm1(FILE *f,int ofs) {

 char ps[100], buf[16], x[5], o[85];

 int kde,n,i,j;

 fseek(f,ofs,SEEK_SET); kde=0;

 for (i=0; i<VLEN && !feof(f); i++) {

  n=fread(buf,1,16,f);

  if (n==0) ps[0]=0; else sprintf(ps,"%06X: ",(ofs+kde) & 0xffffff);

  kde+=n;

  fseek(f,ofs+kde,SEEK_SET);

  for (j=0; j<16; j++) {

   if (j<n) {

    sprintf(x,"%02X ",(unsigned char)buf[j]);

    strcat(ps,x);

   } else strcat(ps,"   ");

   if (j % 4==3 && j<15) if (j+1<n) strcat(ps,"- "); else strcat(ps,"  ");

  }

  strcat(ps," ");

  for (j=0; j<16; j++) {

   if (buf[j]==0) buf[j]='.';

   if (j<n) {

    sprintf(x,"%c",buf[j]);

    strcat(ps,x);

   } else strcat(ps," ");

  }

  sprintf(o,"%-80.80s",ps);

  dirwr(0,i+1,o,MYCOLOR);

 }

 for (;i<VLEN; i++) {

  sprintf(o,"%-80.80s","");

  dirwr(0,i+1,o,MYCOLOR);

 }

}



void dispm2(FILE *f,int ofs) {

 char ps[100], buf[66], x[5], o[85];

 int kde,n,i,j;

 fseek(f,ofs,SEEK_SET); kde=0;

 for (i=0; i<VLEN && !feof(f); i++) {

  n=fread(buf,1,64,f);

  if (n==0) ps[0]=0; else sprintf(ps,"%06X: ",(ofs+kde) & 0xffffff);

  kde+=n;

  fseek(f,ofs+kde,SEEK_SET);

  for (j=0; j<64; j++) {

   if (buf[j]==0) buf[j]='.';

   if (j<n) {

    sprintf(x,"%c",buf[j]);

    strcat(ps,x);

   }

  }

  sprintf(o,"%-80.80s",ps);

  dirwr(0,i+1,o,MYCOLOR);

 }

 for (;i<VLEN; i++) {

  sprintf(o,"%-80.80s","");

  dirwr(0,i+1,o,MYCOLOR);

 }

}



void linedown(FILE *f,int *ofs) {

 char buf[1001],*p;

 int n;

 fseek(f,*ofs,SEEK_SET);

 n=fread(buf,1,wrapn,f); buf[n]=0;

 if (!n) return;

 p=strchr(buf,13); if (p!=NULL) *p=0;

 p=strchr(buf,10); if (p!=NULL) *p=0;

 (*ofs)+=strlen(buf)+((strlen(buf)<n)?2:0);

}



void lineup(FILE *f,int *ofs) {

 char buf[1001],*p;

 int n,misto,m;

 if (*ofs==0) return;

 misto=(*ofs>wrapn)?wrapn:*ofs;

 fseek(f,*ofs-misto,SEEK_SET);

 n=fread(buf,1,misto,f);

 m=n;

 if (buf[n-1]==10 || buf[n-1]==13) n--;

 if (buf[n-1]==10 || buf[n-1]==13) n--;

// ConsolePrintf(" %d | %d %d %d %d \n\r",buf[0],buf[n-1y],buf[n-2],misto,m);

// n-=2;

 // zrusime pripadne CR|LF na konci

 while (n>0 && buf[n-1]!=10 && buf[n-1]!=13) n--;

 *ofs-=m-n;

}



void vmodechange(FILE *f,int *ofs,int *vmode) {

 (*vmode)+=1; if (*vmode>2) *vmode=0;

 switch (*vmode) {

   case 0:lineup(f,ofs); break;

   case 1:*ofs&=0xfffffff0; break;

   case 2:*ofs&=0xffffffc0; break;

 }

}



void vkey0(FILE *f,int *ofs,int size,int *x,char c) {

 int i;

 switch (c) {

   case 0x4b: if (*x) (*x)--; break; // <-

   case 0x4d: if (*x<999) (*x)++; break; //->

   case 0x50: linedown(f,ofs); break; // v

   case 0x48: lineup(f,ofs); break; // ^

   case 0x51: for (i=0; i<VLEN; i++) linedown(f,ofs); break; // PGDN

   case 0x49: for (i=0; i<VLEN; i++) lineup(f,ofs); break; // PGUP

   case 0x47: *ofs=0; break; //HOME

   case 0x3c: wrapn=(wrapn==1000)?80:1000; break; // f2

   case 0x4f: *ofs=size; lineup(f,ofs); break;    // endk

 }

}



void vkey1(int *ofs,int size,char c) {

 int i;

 switch (c) {

   case 0x50: if (*ofs+16<size) *ofs+=16; break; // v

   case 0x48: if (*ofs>=16) *ofs-=16; break; // ^

   case 0x51: for (i=0; i<VLEN && *ofs+16<size; i++) *ofs+=16; break; // PGDN

   case 0x49: for (i=0; i<VLEN && *ofs>=16; i++) *ofs-=16; break; // PGUP

   case 0x47: *ofs=0; break; //HOME

   case 0x4f: *ofs=size & 0xfffffff0; break; //HOME

 }

}



void vkey2(int *ofs,int size,char c) {

 int i;

 switch (c) {

   case 0x50: if (*ofs+64<size) *ofs+=64; break; // v

   case 0x48: if (*ofs>=64) *ofs-=64; break; // ^

   case 0x51: for (i=0; i<VLEN && *ofs+64<size; i++) *ofs+=64; break; // PGDN

   case 0x49: for (i=0; i<VLEN && *ofs>=64; i++) *ofs-=64; break; // PGUP

   case 0x47: *ofs=0; break; //HOME

   case 0x4f: *ofs=size & 0xffffffc0; break; //HOME

 }

}



void view(char *s) {

 char file[256],ps[100], buf[1001],*p,c;

 int ofs=0,x=0,konec=0,i,size,vmode=0; int scr;

 FILE *f;

 strcpy(file,s); s[0]=0;

 sprintf(ps,"View %s",file);

 scr=CreateScreen(ps,0);

 SetCurrentScreen(scr);

 DisplayScreen(scr);

 HideCursor();

 SetAutoScreenDestructionMode(1);

 f=fopen(file,"rb");

 fseek(f,0,SEEK_END);

 size=ftell(f);

 if (f==NULL) {tchyba2("Error opening file",file); goto konec; }

 if (!size) {tchyba2("Nothing to view in file",file); goto konec; }

 while (!konec) {

  sprintf(ps,"View %-58.58s %3d%% of %-8d",file,ofs*100/size,size);

  dirwr(0,0,ps,ismono?ICOLOR:brm);

  sprintf(ps,"|%s||Mode|||Search|||Exit|",vmode==0?((wrapn==80)?"UnWrap":"Wrap"):"");

  tools(ps);

  switch (vmode) {

   case 0:dispm0(f,ofs,x); break;

   case 1:dispm1(f,ofs); break;

   case 2:dispm2(f,ofs); break;

  }

  c=getch();

  switch (c) {

   case 27: konec=1; break;

   case 0 :

     c=getch();

     if (vmode==0) vkey0(f,&ofs,size,&x,c);

     if (vmode==1) vkey1(&ofs,size,c);

     if (vmode==2) vkey2(&ofs,size,c);

     switch (c) {

       case 0x3e: vmodechange(f,&ofs,&vmode); break; //f2

       case 0x44: konec=1; break; //F10

       case 0x66: ismono^=1; setcolor(); break; //CTRL F9

     } break;

  }

 }

 fclose(f);

 konec:

 DestroyScreen(scr);

}



void viewv(void *v) {

 view((char *)v);

}

